import React, { ReactElement } from 'react';
export type FlushToReact = <T>(opts?: {
    nonce?: string;
}) => Array<ReactElement<T>>;
type MemoCssBaselineComponent<P = {}> = React.NamedExoticComponent<P> & {
    flush: FlushToReact;
};
declare const MemoCssBaseline: MemoCssBaselineComponent<React.PropsWithChildren<unknown>>;
export default MemoCssBaseline;
